Subject: [Gen-art] Gen-Art review of draft-ietf-precis-7564bis-07

From: Christer Holmberg <[email-masked]>
Date: Thu, 22 Jun 2017 07:09:48 +0000

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>

Document:                       draft-ietf-precis-7564bis-07.txt

Reviewer:                         Christer Holmberg

Review Date:                   22 June 2017

IETF LC End Date:           13 June 2017

IETF Telechat Date:        6 July 2017

Summary: The document is well written, and almost ready for publication. However, I have one comment (see below) that I would like the authors to address.

Major Issues: None

Minor Issues:

Q1: Section 13.2 says that PRECIS only support Unicode. While Unicode is mentioned throughout that document, is that restriction mentioned elsewhere? I think it would be good to make it explicit already in the Introduction, or by indicating it in an Applicability/Scope section in the beginning of the document.

Editorial Issues: None

---

From: Peter Saint-Andre - Filament <[email-masked]>
Date: Fri, 23 Jun 2017 13:41:30 -0600

Hi Christer,

Thanks for your review. Comments below.

On 6/22/17 1:09 AM, Christer Holmberg wrote:
> 
> I am the assigned Gen-ART reviewer for this draft. For background on
> Gen-ART, please see the FAQ at
> <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>
> 
>  
> 
> Summary: The document is well written, and almost ready for publication.
> However, I have one comment (see below) that I would like the authors to
> address.
> 
> 
> Major Issues: None
> 
>  
> 
> Minor Issues: 
> 
> 
> Q1: Section 13.2 says that PRECIS only support Unicode. While Unicode is
> mentioned throughout that document, is that restriction mentioned
> elsewhere? I think it would be good to make it explicit already in the
> Introduction, or by indicating it in an Applicability/Scope section in
> the beginning of the document.

Perhaps we could add the following sentence to the first paragraph of
the introduction:

   (PRECIS is restricted to Unicode and does not support any other
   coded character set [RFC6365].)

Would that address your concern?

Peter

---

From: Christer Holmberg <[email-masked]>
Date: Sat, 24 Jun 2017 15:42:15 +0000

Hi,

>> However, I have one comment (see below) that I would like the authors 
>> to address.
>> 
>> 
>> Major Issues: None
>> 
>>  
>> 
>> Minor Issues: 
>> 
>> 
>> Q1: Section 13.2 says that PRECIS only support Unicode. While Unicode 
>> is mentioned throughout that document, is that restriction mentioned 
> Perhaps we could add the following sentence to the first paragraph of the introduction:
>

Yes :)

Regards,

Christer